Name:          libtrio
Version:       1.16
Release:       1mamba
Summary:       Portable and extendable printf and string functions
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           https://daniel.haxx.se/projects/trio/
Source:        https://downloads.sourceforge.net/sourceforge/ctrio/trio-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Trio is a fully matured and stable set of printf and string functions designed be used by applications with focus on portability or with the need for
additional features that are not supported by standard stdio implementation. 
There are several cases where you may want to consider using trio:
* Portability across heterogeneous platforms. 
* Embedded systems without stdio support. 
* Extendability of unsupported features. 
* Your native version doesn't do everything you need.
Trio fully implements the C99 (ISO/IEC 9899:1999) and UNIX98) standards, as well as many features from other implemenations, e.g. the GNU libc and BSD4.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Trio is a fully matured and stable set of printf and string functions designed be used by applications with focus on portability or with the need for
additional features that are not supported by standard stdio implementation.
There are several cases where you may want to consider using trio:                      
* Portability across heterogeneous platforms.
* Embedded systems without stdio support.
* Extendability of unsupported features.
* Your native version doesn't do everything you need.
Trio fully implements the C99 (ISO/IEC 9899:1999) and UNIX98) standards, as well as many features from other implemenations, e.g. the GNU libc and BSD4.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n trio-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeoldinstall

ln -s libtrio.so.2.0.0 %{buildroot}%{_libdir}/libtrio.so
chmod +x %{buildroot}%{_libdir}/libtrio.so.*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libtrio.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libtrio.a
%{_libdir}/libtrio.so
%doc CHANGES README

%changelog
* Thu Feb 11 2021 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic version update by autodist

* Tue May 11 2010 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic update by autodist

* Thu Jan 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-1mamba
- automatic update by autodist

* Mon Jun 23 2008 Tiziana Ferro <tiziana.ferro@email.it> 1.12-1mamba
- update to 1.12

* Tue Oct 17 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.11-1qilnx
- package created by autospec
